/* ************************************************************ */
/* $(RTDS_HOME)/share/ccg/ose/bricks/RTDS_Startup_end.c begins  */
/* PragmaDev RTDS OSE Delta integration                         */
#ifdef RTDS_SIMULATOR
RTDS_SIMULATOR_TRACE(RTDS_initDone, NULL, NULL, RTDS_currentContext);
#endif

/* Let all the created process run now */
for (RTDS_processInfo = RTDS_globalProcessInfo ; RTDS_processInfo != NULL ; RTDS_processInfo = RTDS_processInfo->next)
	start(RTDS_processInfo->processId);


/* Init done. Stop execution of the start process */
stop(current_process());

/* To call for clean exit of the system by the last task */
/*
RTDS_CRITICAL_SECTION_POSTAMBLE;
#if defined(RTDS_SOCKET_IP_ADDRESS) && defined(RTDS_FORMAT_TRACE)
RTDS_CloseSocket();
#endif
*/
}

/*
 * ************************************************************
 * This is OSE entry point for RTDS generated code defined
 * in OseMake.inc.
 * It has been defined to start socket connection before
 * RTDS_Start is called because the SDL-RT debugger stops
 * on RTDS_Start.
 * ************************************************************
 */
void RTDS_Main(void)
{
#ifdef RTDS_SOCKET_IP_ADDRESS
	#ifdef RTDS_CMD_INTERPRETER
		RTDS_ProcessId	socketProcess;
	#endif

	RTDS_DTRACE_ACKNOWLEDGE_INIT
	RTDS_SOCKET_ACCESS_INIT
	RTDS_CRITICAL_TRACE_SECTION_INIT

	RTDS_InitSocket();

	#ifdef RTDS_CMD_INTERPRETER
		socketProcess = create_process (
			OS_PRI_PROC,
			"RTDS_SocketProcess",
			(OSENTRYPOINT *)RTDS_SocketProcess,
			RTDS_TASK_STACK_SIZE,
			(OSPRIORITY) 5,
			(OSTIME) 0,
			(PROCESS) 0,
			(struct OS_redir_entry *) NULL,
			(OSVECTOR) 0,
			(OSUSER) 0);
		start(socketProcess);
	#endif
#endif /* RTDS_SOCKET_IP_ADDRESS */

RTDS_Start();
}

/* $(RTDS_HOME)/share/ccg/ose/bricks/RTDS_Startup_end.c ends */
/* ************************************************************* */

