/* PragmaDev RTDS OSE 52 integration */
#ifndef _RTDS_ERROR_H_
#define _RTDS_ERROR_H_

#ifdef __cplusplus
extern "C" {
#endif

/* List of errors returned by RTDS 'kernel' */

#define RTDS_ERROR_NO_MORE_TIMER_UNIQUE_ID                      0x0001
#define RTDS_ERROR_TIMER_INCONSISTANT                           0x0002 /* parameters in the header are not consistant with a timer message */
#define RTDS_ERROR_WATCHDOG_START                               0x0003
#define RTDS_ERROR_TIMER_TO_STOP_NOT_FOUND                      0x0004
#define RTDS_ERROR_WATCHDOG_CREATION                            0x0005

#define RTDS_ERROR_MSG_Q_SEND_IN_WATCHDOG                       0x0010
#define RTDS_ERROR_MSG_QUEUE_SEND                               0x0011
#define RTDS_ERROR_MSG_INPUT                                    0x0012
#define RTDS_ERROR_MSG_QUEUE_DELETE                             0x0013
#define RTDS_ERROR_MSG_RECEIVE                                  0x0014
#define RTDS_ERROR_NO_MORE_MSG_UNIQUE_ID                        0x0015 /* No more message unique id available. Increase RTDS_MESSAGE_UNIQUE_ID_POOL_SIZE */
#define RTDS_ERROR_PROCESS_CREATE_MSG_Q_CREATE                  0x0016

#define RTDS_ERROR_TASK_DELETE                                  0x0020
#define RTDS_ERROR_PROCESS_CREATE_TASK_SPAWN                    0x0021
#define RTDS_ERROR_GET_PROCESS_QUEUE_ID                         0x0022 /* process name not found */
#define RTDS_ERROR_TASK_TO_DELETE_NOT_FOUND                     0x0023 /* The task to delete was not found in the globalProcessInfoList */

#define RTDS_ERROR_SEM_INFO_INSERT_MALLOC                       0x0030
#define RTDS_ERROR_MALLOC_TIMER_STATE_IN_START_TIMER            0x0031
#define RTDS_ERROR_PROCESS_CREATE_MALLOC                        0x0032
#define RTDS_ERROR_STARTUP_CONTEXT_MALLOC                       0x0033 /* startup task could not allocate memory for current context */
#define RTDS_ERROR_BACK_TRACE_NOT_ENOUGH_MEMORY                 0x0034 /* There is not enough memory to store all the events in RAM. Reduce RTDS_BACK_TRACE_MAX_EVENT_NUM or RTDS_BACK_TRACE_MESSAGE_DATA_SIZE */

#define RTDS_ERROR_GET_SEMAPHORE_ID                             0x0040 /* semaphore name not found */
#define RTDS_ERROR_SEM_INFO_INSERT                              0x0041
#define RTDS_ERROR_SEMAPHORE_TIME_OUT                           0x0042 /* Semaphore time out option incorrect. Should always be FOREVER with OSE */
#define RTDS_ERROR_BAD_SEM_TYPE                                 0x0043

#define RTDS_ERROR_SOCKET_RECEIVE_COMMAND_TOO_LONG              0x0050 /* Increase the RTDS_TRACE_BUFFER_SIZE value */
#define RTDS_ERROR_SOCKET_RECEIVE_ERROR_IN_READ                 0x0051
#define RTDS_ERROR_SOCKET_RECEIVE_ERROR_NO_CONNECTION           0x0052
#define RTDS_ERROR_SOCKET_SEND_ERROR_WRONG_SENT_DATA            0x0053 /* The socket write status indicated an error */

#ifdef __cplusplus
}
#endif

#endif /* _RTDS_ERROR_H_ */

